Strophe 0.13 XMPP client library

Data Fields
xmpp_sm_state_t Struct Reference

`#include <common.h>`

## Data Fields
xmpp_ctx_t * | ctx
int | sm_support
int | sm_enabled
int | can_resume
int | resume
int | dont_request_resume
xmpp_queue_t | sm_queue
int | r_sent
uint32_t | sm_handled_nr
uint32_t | sm_sent_nr
char * | id
char * | previd
char * | bound_jid
xmpp_stanza_t * | bind

## Field Documentation

## ◆ ctx

xmpp_ctx_t* xmpp_sm_state_t::ctx

## ◆ sm_support

int xmpp_sm_state_t::sm_support

## ◆ sm_enabled

int xmpp_sm_state_t::sm_enabled

## ◆ can_resume

int xmpp_sm_state_t::can_resume

## ◆ resume

int xmpp_sm_state_t::resume

## ◆ dont_request_resume

int xmpp_sm_state_t::dont_request_resume

## ◆ sm_queue

xmpp_queue_t xmpp_sm_state_t::sm_queue

## ◆ r_sent

int xmpp_sm_state_t::r_sent

## ◆ sm_handled_nr

uint32_t xmpp_sm_state_t::sm_handled_nr

## ◆ sm_sent_nr

uint32_t xmpp_sm_state_t::sm_sent_nr

## ◆ id

char* xmpp_sm_state_t::id

## ◆ previd

char * xmpp_sm_state_t::previd

## ◆ bound_jid

char * xmpp_sm_state_t::bound_jid

## ◆ bind

xmpp_stanza_t* xmpp_sm_state_t::bind

The documentation for this struct was generated from the following file:

- common.h